petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscStrToArray

Separates a string by a charactor (for example ' ' or '\n') and creates an array of strings

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscStrToArray(const char s[],char sp,int *argc,char ***args)

Not Collective

### Input Parameters

| s | - pointer to string
| sp | - separator charactor

### Output Parameter

| argc | - the number of entries in the array
| args | - an array of the entries with a null at the end

Notes: this may be called before PetscInitialize() or after PetscFinalize()

Not for use in Fortran

Developer Notes: Using raw malloc() and does not call error handlers since this may be used before PETSc is initialized. Used to generate argc, args arguments passed to MPI_Init()

### See Also

PetscStrToArrayDestroy(), PetscToken, PetscTokenCreate()

Level:intermediate
Location:src/sys/utils/str.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages